data-vocabulary.org schema deprecated in der Google Search Console

  • Plötzlich massenweise Fehlermeldungen und ich weis nicht was gemeint ist. Das dürfte dann auch auf andere WBB4 Betreiber zutreffen und garantiert auch auf andere Foren-Software.


    Fehler soll hier liegen:

    <li title="Webseitenname" itemscope itemtype="http://data-vocabulary.org/Breadcrumb">

  • Go to Best Answer
  • Es handelt sich dabei um HTML5-Microdata auf Basis eines alten Standards ("data-vocabulary.org"), der nicht mehr gepflegt wird und zwischenzeitlich durch einen neuen Standard ersetzt wurde ("schema.org"). Einiges ist relativ ähnlich, es gibt aber auch eine ziemlich große Menge an Abweichungen.


    Seit der WoltLab Suite 3.0 verwenden wir den neuen Standard entsprechend der aktuellen Anforderungen von Google & Co.

    Alexander Ebert
    Senior Developer WoltLab® GmbH

  • Und warum bekomme ich die Meldung dennoch, obwohl ich WSC 3.0, 3.1 und nun 5.2 jeweils frühzeitig in Betrieb genommen hatte?

    Gruß aus Südhessen

  • Und warum bekomme ich die Meldung dennoch

    Um es mir selbst zu beantworten: Weil Google bestimmte Seiten in 2016 zuletzt "gecrawlt" hat. Das wundert mich nun wiederum.

    Gruß aus Südhessen

  • Ich habe nicht vor umzusteigen, mir gefällt das 4er mehr als das 5er. Ich muss immer den Aufwand durch die Plugins im Auge behalten und so ein Umzug wäre bei mir mit erheblich mehr Kosten verbunden, durch Umbau von hauseigenen Plugins. Zudem passt für mein Filmforum die Seitenleiste jetzt unten hin zu packen, mal so garnicht. Damals im 2er war es im Headermenü verschachtelt, beim 4er rechts an der Seite und nun ist alles aktuelles ganz unten, dass ist für mich Idiotisch. Damals hab ich auch das 3er Übersprungen, weil es mir nicht zusagte. Vielleicht findet sich jemand, der das irgendwie lösen kann.

    Um es mir selbst zu beantworten: Weil Google bestimmte Seiten in 2016 zuletzt "gecrawlt" hat. Das wundert mich nun wiederum.

    Dann machst du was falsch, Google crawlt eigentlich täglich nach deinen Seiten. ^^

  • Dann machst du was falsch, Google crawlt eigentlich täglich nach deinen Seiten.

    Das machen sie auch, aber offensichtlich werden ältere Suchergebnisse nicht immer aktualisiert.

    Gruß aus Südhessen

  • Zudem passt für mein Filmforum die Seitenleiste jetzt unten hin zu packen, mal so garnicht.

    Verstehe ich nicht. Was meinst du damit? Welche "Seitenleiste"? Wäre schön, wenn du das eventuell mit Screenshots belegen könntest.

  • Kann man den Fehler (auch wenn er nicht schwerwiegend ist) evtl. durch leichte Anpassungen an irgendwelchen Templates selbst beheben?


    Ich erhalte nämlich auch diese Meldungen von Google.

    • Best Answer

    Also in deinem Falle hilft eigentlich nur die Templates mit jenen aus dem WSC das dem neuen standart folgt zu vergleichen und entsprechende Änderungen manuell an den Templates einzupflegen.


    Soweit ich das sehe sind vor allem das template breadcrumbs.tpl und messageSidebar.tpl betroffen.

  • Wenn ich Templates schreibe, meine ich nicht den Stil, sondern wirklich Templates. Vergewissere Dich bitte, ob eigene Templategruppen mit darin befindlichen Templates existieren und eventuell eine davon im Stil ausgewählt ist.


    Kann man der Fehlermeldung nicht entnehmen, auf welche Datei sie sich konkret bezieht?





    Gruß norse